Technical Collaboration quarterly check in for July - September 2017
Closed, ResolvedPublic

Description

Ongoing team goals

Community Collaboration in Product Development

Onboarding New Developers

Ongoing individual goals

OwnerGoals
@ElitreT170127: Define, together with the community, a description of the roles of "translator" and "tech ambassador" and related KPIs, for Technical Collaboration's new KPIs, T154320: Support the Parsing team with ongoing changes, T167119: Onboard the new CL for Structured Data, T167805: Develop a Community Collaboration Logic Model
@Johan{T169976}, T153195: Figure out how to make Tech News better
@KeeganT144625: First review of the Technical Collaboration Guidance by Foundation Product teams and most active technical volunteers, T170953: Build out TCG use-case documentation, T170954: Set up working group for JADE
@QgilT108647: Two blog posts about Technical Collaboration's annual plan programs, T160996: Creation of a Program Committee for Wikimedia developer events (a Wikimania Hackathon session), T170525: Documentation of Technical Collaboration's annual plan programs
@QuiddityT149625: Nick's work with Movement Strategy pages, T168480: Perform core Cloud Services rebranding, + other Cloud-related work
@RfarrandT163794: Create a plan / schedule for the organization of the Wikimania Hackathon 2017, T163440: Retain at least 10% of newcomers at the Wikimedia Hackathon 2017, T170226: Organize the Wikimania Hackathon 2017 in Montreal, T170227: Logistics plan for the Wikimedia Developer Summit 2018
@srishakatuxT162106: Coordinate Wikimedia's participation in Google Summer of Code 2017/Outreachy Round 14, T150732: Provide a group chat system for mentoring, T167085: Release a "New Developers Quarterly Report" including metrics, trends, lessons learned, and recommendations by Oct 2017
@SandraF_WMFT174078: Represent Structured Data on Commons at Wikimania 2017, T173820: Cleanup and update drive of information pages / portal about Structured Data on Commons
@Trizek-WMFT164489: Announce and follow up with communities about the New Filters for Recent changes by default deployment T171030: Announce and follow up with communities about the New Filters for Watchlist Beta feature T168307: Francophone welcome corner at Wikimania hackathon
@Whatamidoing-WMFT166767: CL support to JS-less mobile editing change, T162849: Support WMF communities in run-up to switching EditPage over to OOUI
@AklapperT169599: Sort out concept for overview/entrance pages targeting our developer audience, T165920: Potential "Featured Projects" which welcome Onboarding New Developers
@CKoerner_WMFT154633: Inform stage 1 communities of upcoming Page Previews rollout, T157816: Tech Talk: MediaWiki for third parties, T158830: Communicate enabling Extension:3d on Commons, T167815: Conduct MP3 patrol discussion, T167976: Discuss Android Reading List feature with community

Calendar

  • 2017-09-22: updated team goals due by this date.
  • 2017-09-20: Quarterly Check-in slides delivered.
  • 2017-09-29: updated Individual goals agreed.
  • 2017-10-06: quarterly check in materials must be completed.
  • 2017-10-11: quarterly check in dry run.
  • 2017-10-16 (tentative): Community Engagement quarterly check in.

Related Objects

Mentioned Here
T175000: Technical Collaboration quarterly check in for October - December 2017
T173820: Cleanup and update drive of information pages / portal about Structured Data on Commons
T174078: Represent Structured Data on Commons at Wikimania 2017
T168480: Perform core Cloud Services rebranding
T164489: Announce and follow up with communities about the New Filters for Recent changes by default deployment
T168307: Francophone welcome corner at Wikimania hackathon
T171030: Announce and follow up with communities about the New Filters for Watchlist Beta feature
T170953: Build out TCG use-case documentation
T170954: Set up working group for JADE
T169599: Sort out concept for overview/entrance pages targeting our developer audience
T165920: Potential "Featured Projects" which welcome Onboarding New Developers
T167085: Release a "New Developers Quarterly Report" including metrics, trends, lessons learned, and recommendations by Oct 2017
T108647: Two blog posts about Technical Collaboration's annual plan programs
T170525: Documentation of Technical Collaboration's annual plan programs
T170226: Organize the Wikimania Hackathon 2017 in Montreal
T170227: Logistics plan for the Wikimedia Developer Summit 2018
T167815: Conduct MP3 patrol discussion
T167976: Discuss Android Reading List feature with community
T170127: Define, together with the community, a description of the roles of "translator" and "tech ambassador" and related KPIs, for Technical Collaboration's new KPIs
T167119: Onboard the new CL for Structured Data
T167805: Develop a Community Collaboration Logic Model
T170002: Goal: Community Liaisons support scales better across Wikimedia Foundation’s Product and Technology departments
T153195: Figure out how to make Tech News better
T162849: Support WMF communities in run-up to switching EditPage over to OOUI
T166767: CL support to JS-less mobile editing change
T144625: First review of the Technical Collaboration Guidance by Foundation Product teams and most active technical volunteers
T149625: Nick's work with Movement Strategy pages
T150732: Provide a group chat system for mentoring
T153208: 2016 Community Wishlist: Report back with analysis and discussions
T154320: Support the Parsing team with ongoing changes
T154633: Inform stage 1 communities of upcoming Page Previews rollout
T157816: Tech Talk: MediaWiki for third parties
T158830: Communicate enabling Extension:3d on Commons
T160430: Have statistics which allow measuring success of a potential "Onboarding new developers" program
T160996: Creation of a Program Committee for Wikimedia developer events (a Wikimania Hackathon session)
T162106: Coordinate Wikimedia's participation in Google Summer of Code 2017/Outreachy Round 14
T163440: Retain at least 10% of newcomers at the Wikimedia Hackathon 2017
T163794: Create a plan / schedule for the organization of the Wikimania Hackathon 2017
Qgil created this task.Jul 5 2017, 12:37 PM
Johan updated the task description. (Show Details)Jul 7 2017, 11:52 AM
Elitre updated the task description. (Show Details)Jul 10 2017, 9:31 AM
Elitre updated the task description. (Show Details)Jul 10 2017, 9:48 AM
CKoerner_WMF updated the task description. (Show Details)Jul 10 2017, 8:40 PM
Rfarrand updated the task description. (Show Details)Jul 11 2017, 5:29 AM
Qgil updated the task description. (Show Details)Jul 11 2017, 10:36 AM
Qgil updated the task description. (Show Details)Jul 13 2017, 9:05 AM
Qgil updated the task description. (Show Details)Jul 13 2017, 9:12 AM
Qgil updated the task description. (Show Details)Jul 13 2017, 9:27 AM
Qgil moved this task from Backlog to July on the Community-Liaisons (Jul-Sep 2017) board.
Aklapper updated the task description. (Show Details)Jul 13 2017, 1:24 PM
srishakatux updated the task description. (Show Details)Jul 18 2017, 12:48 PM
Keegan updated the task description. (Show Details)Jul 18 2017, 5:07 PM
Trizek-WMF updated the task description. (Show Details)Jul 19 2017, 9:01 AM
Quiddity updated the task description. (Show Details)Jul 21 2017, 8:03 PM
Qgil lowered the priority of this task from High to Low.Aug 2 2017, 1:41 PM
Qgil updated the task description. (Show Details)
SandraF_WMF updated the task description. (Show Details)Aug 28 2017, 10:13 AM

So should the CLs tasks above (and others) be listed as children for T170002?

Qgil added a comment.Sep 1 2017, 11:51 AM

I'm not sure, what would be the advantage?

In the past when I was setting goals as children of a task like this one, the end result was too ugly (a big tree of dependencies) and many extra notifications of related tasks were generated, for no good reason. I stopped marking those tasks as children.

Qgil updated the task description. (Show Details)Sep 5 2017, 9:55 AM
Qgil raised the priority of this task from Low to Normal.Sep 7 2017, 8:24 AM
Qgil updated the task description. (Show Details)Sep 11 2017, 7:10 AM
Qgil raised the priority of this task from Normal to High.Sep 18 2017, 11:49 AM
Qgil added a comment.Sep 22 2017, 3:36 PM

Team goals for the next quarter agreed and documented at T175000.

Qgil updated the task description. (Show Details)Sep 25 2017, 7:42 AM
Qgil updated the task description. (Show Details)
Qgil closed this task as Resolved.Oct 16 2017, 8:41 AM
Qgil moved this task from Ready to Go to October on the Community-Liaisons (Oct-Dec 2017) board.

The Quarterly Check-in was held last week. I will post the link to the slides when it is available.

Thank you to everybody involved!